Bug 331142 - Amarok works but no gui displayed
Summary: Amarok works but no gui displayed
Status: RESOLVED DUPLICATE of bug 285951
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: unspecified
Platform: Kubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-14 20:05 UTC by tai133
Modified: 2014-02-16 02:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tai133 2014-02-14 20:05:09 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.5 (4.8.5) (Compiled from sources)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-58-generic x86_64
Distribution: Ubuntu 12.04.4 LTS

-- Information about the crash:
- What I was doing when the application crashed: Amarok is usable via the Now Playing applet on the Panel but no Playlist or gui window is displayed. Crash occurred when I closed the app by killing the process in System Monitor, ie I used the End Process command. I have reinstalled the app ( but not yet done a complete remove and reinstall) but that did not change the behavior. Amarok worked fine before about a week ago - updates?

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0e114c47c0 (LWP 9489))]

Thread 12 (Thread 0x7f0df0f3e700 (LWP 9494)):
#0  0x00007f0e089aefde in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f0e089af45a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f0df77235e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#3  0x00007f0e089d09b5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#5  0x00007f0e0a4cce9a in start_thread (arg=0x7f0df0f3e700) at pthread_create.c:308
#6  0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f0dde1c3700 (LWP 9498)):
#0  0x00007f0e0ddb5a43 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0e0620d35f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f0e061fe76c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f0e061fedd9 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f0e061fee90 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f0e0620d30f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f0e01651d18 in ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so
#7  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#8  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dde1c3700) at pthread_create.c:308
#9  0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f0dd2369700 (LWP 9500)):
#0  0x00007f0e0a4d005d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f0dcc000ad0) at pthread_mutex_unlock.c:290
#2  0x00007f0e089ea5e1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0e089ae7fb in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f0e089aef1b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f0e089af124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f0e0e74d426 in QEventDispatcherGlib::processEvents (this=0x7f0dcc000930, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f0e0e71cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f0e0e71ced7 in QEventLoop::exec (this=0x7f0dd2368cd0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f0e0e61bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f0e0e6fc9ff in QInotifyFileSystemWatcherEngine::run (this=0x244db10) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x244db10) at thread/qthread_unix.cpp:298
#12 0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#13 0x00007f0e0a4cce9a in start_thread (arg=0x7f0dd2369700) at pthread_create.c:308
#14 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0dcbfff700 (LWP 9501)):
#0  0x00007f0e0ddb5a43 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0e089aeff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f0e089af124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0e0e74d426 in QEventDispatcherGlib::processEvents (this=0x7f0dc40008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f0e0e71cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f0e0e71ced7 in QEventLoop::exec (this=0x7f0dcbffed00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f0e0e61bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x25373c0) at thread/qthread_unix.cpp:298
#8  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#9  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dcbfff700) at pthread_create.c:308
#10 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f0dcad8a700 (LWP 9502)):
#0  0x00007f0e0ddb5a43 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0e089aeff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f0e089af124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0e0e74d426 in QEventDispatcherGlib::processEvents (this=0x7f0dbc0008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f0e0e71cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f0e0e71ced7 in QEventLoop::exec (this=0x7f0dcad89d00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f0e0e61bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x262d1d0) at thread/qthread_unix.cpp:298
#8  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#9  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dcad8a700) at pthread_create.c:308
#10 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0dca17e700 (LWP 9504)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0e0e61f4db in wait (time=18446744073709551615, this=0x2659b80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2659d00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f0e0ba620eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2659a30, th=0x265a120) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0e0ba649db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x265a120) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0e0ba6384f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0dca17dd20, parent=0x2659a30, th=0x265a120) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f0e0ba638db in ThreadWeaver::Thread::run (this=0x265a120) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x265a120) at thread/qthread_unix.cpp:298
#8  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#9  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dca17e700) at pthread_create.c:308
#10 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0dc89c6700 (LWP 9505)):
#0  0x00007f0e0a4d005d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f0db4000a90) at pthread_mutex_unlock.c:290
#2  0x00007f0e089ea5e1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f0e089ae1b8 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f0e089aeec4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f0e089af124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f0e0e74d426 in QEventDispatcherGlib::processEvents (this=0x7f0db40008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f0e0e71cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f0e0e71ced7 in QEventLoop::exec (this=0x7f0dc89c5cd0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f0e0e61bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f0e0e6fc9ff in QInotifyFileSystemWatcherEngine::run (this=0x28791a0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x28791a0) at thread/qthread_unix.cpp:298
#12 0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#13 0x00007f0e0a4cce9a in start_thread (arg=0x7f0dc89c6700) at pthread_create.c:308
#14 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0dc31bf700 (LWP 9506)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0e055ebdec in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f0e055ebf19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#4  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dc31bf700) at pthread_create.c:308
#5  0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0dc0ff6700 (LWP 9507)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0e0e61f4db in wait (time=18446744073709551615, this=0x2659b80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2659d00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f0e0ba620eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2659a30, th=0x2a041e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0e0ba649db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a041e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0e0ba6384f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0dc0ff5d20, parent=0x2659a30, th=0x2a041e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f0e0ba638db in ThreadWeaver::Thread::run (this=0x2a041e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x2a041e0) at thread/qthread_unix.cpp:298
#8  0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#9  0x00007f0e0a4cce9a in start_thread (arg=0x7f0dc0ff6700) at pthread_create.c:308
#10 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0dabff7700 (LWP 9508)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0e0e61f4db in wait (time=18446744073709551615, this=0x2659b80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2659d00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f0e0ba620eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2659a30, th=0x2a08f40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0e0ba649db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a08f40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0e0ba649f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a08f40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0e0ba649f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a08f40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0e0ba6384f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0dabff6d20, parent=0x2659a30, th=0x2a08f40) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f0e0ba638db in ThreadWeaver::Thread::run (this=0x2a08f40) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x2a08f40) at thread/qthread_unix.cpp:298
#10 0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#11 0x00007f0e0a4cce9a in start_thread (arg=0x7f0dabff7700) at pthread_create.c:308
#12 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0dab7f6700 (LWP 9509)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0e0e61f4db in wait (time=18446744073709551615, this=0x2659b80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2659d00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f0e0ba620eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2659a30, th=0x2a0a2e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0e0ba649db in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a0a2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0e0ba649f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a0a2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0e0ba649f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2659dd0, th=0x2a0a2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0e0ba6384f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0dab7f5d20, parent=0x2659a30, th=0x2a0a2e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f0e0ba638db in ThreadWeaver::Thread::run (this=0x2a0a2e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f0e0e61efcb in QThreadPrivate::start (arg=0x2a0a2e0) at thread/qthread_unix.cpp:298
#10 0x00007f0dffac8764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#11 0x00007f0e0a4cce9a in start_thread (arg=0x7f0dab7f6700) at pthread_create.c:308
#12 0x00007f0e0ddc13fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0e114c47c0 (LWP 9489)):
[KCrash Handler]
#6  0x0000000000000000 in ?? ()
#7  0x00007f0e1036b02e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x1ea18b0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f0e1036b209 in CollectionManager::~CollectionManager (this=0x1ea18b0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f0e103694b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
#12 0x00007f0e1049e4cf in App::~App (this=0x7fff24ebbba0, __in_chrg=<optimized out>) at ../../src/App.cpp:248
#13 0x0000000000408e5a in main (argc=1, argv=0x7fff24ebe028) at ../../src/main.cpp:303

Possible duplicates by query: bug 317276, bug 317029, bug 316849, bug 316512, bug 316321.


Reproducible: Always

Steps to Reproduce:
1.Start Amarok from menu
2.No window opens but Now Playing applet allows Play, Pause and Next Song functions
3.When new song plays, popup with song info displays at bottom right of screen
Actual Results:  
No gui window is displayed

App crashes when using the System Monitor to End Process

Expected Results:  
I expect to see the gui window

Crash handler errored on submit but all collected data is reported above in Details. Amarok has been working fine for me for years. This happened once before a few months ago but was corrected by a subsequent update. I suspect that a recent update instigated this behavior.

Thanks for a great player.
Comment 1 Myriam Schweingruber 2014-02-15 09:12:32 UTC
Please upgrade your version, 2.5 is outdated, the current version is 2.8

The bug you are experiencing is solved since version 2.6 already

*** This bug has been marked as a duplicate of bug 285951 ***
Comment 2 tai133 2014-02-15 16:07:32 UTC
Thank you Myriam. I am using the package installed version from Kubuntu 
Precise. They do not seem to be keeping up with your development. I will 
consider a backports version or separate install.

Cheers,
Tai Sines

On 2/15/2014 1:12 AM, Myriam Schweingruber wrote:
> https://bugs.kde.org/show_bug.cgi?id=331142
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|UNCONFIRMED                 |RESOLVED
>           Resolution|---                         |DUPLICATE
>
> --- Comment #1 from Myriam Schweingruber <myriam@kde.org> ---
> Please upgrade your version, 2.5 is outdated, the current version is 2.8
>
> The bug you are experiencing is solved since version 2.6 already
>
> *** This bug has been marked as a duplicate of bug 285951 ***
>
Comment 3 Myriam Schweingruber 2014-02-16 02:04:23 UTC
Well, Kubuntu Precise has seen quite a few updates since its release, you should follow the website and install the required packages from the official package archives: http://kubuntu.org.

FWIW: current Kubuntu release is 13.10, and the next release will be in April already.